Groovy Documentation

## org.codehaus.groovy.grails.test.support
[Groovy] Class GrailsTestAutowirer

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestAutowirer

    class GrailsTestAutowirer

Convenience class to autowire test classes

Property Summary
`ApplicationContext` | `applicationContext`

Constructor Summary
`GrailsTestAutowirer(ApplicationContext applicationContext)`

Method Summary
`void` | `autowire(java.lang.Object bean)` Autowires the bean by name, processes any autowiring annotations, and set's the applicationContext if it implements ApplicationContextAware.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    ApplicationContext applicationContext

Constructor Detail

### GrailsTestAutowirer

    GrailsTestAutowirer(ApplicationContext applicationContext)

Method Detail

### autowire

    void autowire(java.lang.Object bean)

  Autowires the bean by name, processes any autowiring annotations, and set's the applicationContext if it implements ApplicationContextAware.

Groovy Documentation